+ see svn log on the SF site for further changelog
===  RoR went open source, 8th of February 2009
--- Content
+ dodge charger flexbody by Bonehead
+ f1-track by sneer to test different friction code: grass will behave like grass and tarmac like it should
+ new stream concept
+ new skies
+ small island spawn point fix
+ better race system overlay position and font

--- Features / Improvements
+ Improved friction: more realistic, better working alhorithm
+ new User Interface: we are using MyGUI now for all ingame UI windows:
 + new loader and progress bar
+ ability to define a custom gate for races created in LUA (see data/race.lua)
+ flexbodies: deformable meshes coupled to the beam physics, see http://wiki.rigsofrods.com/index.php?title=Truck_Description_File#Flexbodies
+ Configurator improvements: 
  + internationalization, UNICODE support, added some new minor features, improved some minor features
  + added some languages, thanks to the authors for translation help!
  + improved layout, the configurator is now resizeable
  + added user token control, see http://forum.rigsofrods.com/index.php?action=mpsettings
+ added MouseSensitiviy setting in RoR.cfg. Add 'MouseSensX<TAB character>2' for example. Same for MouseSensY
+ added gravity setting per terrain file: add 'gravity -9.81' for the default gravity in the .terrn file
+ new hydrax water rendering system. BETA, enable on your own risk in the configurator.
+ improved racing direction arrow: now displays the race name
+ added damage blend material for trucks. The material will blend to the damaged version if the underlying beam model is damaged
+ added true environment mapping (chrome effect)
+ incremental Cache updates: no more need to update the whole cache if one file is changed.
+ added printing of supported shader models to RoR.log
+ added 'fresh' category to trucks, which contains the latest added trucks (last 24 hours)
+ improved FPS debug overlay a bit (F key)
+ added option to disable the ingame map (for testing of laptop GPU's) in the configurator
+ slightly faster truck loading
+ new traction behavior: new ground traction types. More realistically now.
+ flexbody zero position ability: align the flexbody in the truck's coordinnate system, no need to find reeference nodes. See http://wiki.rigsofrods.com/index.php?title=Truck_Description_File#Flexbodies
+ Gee-Meter added to truck-HUD
+ added improvements for the linux mouse and OIS: now possible to play without that RoR 'grabs' the mouse.
+ sparkle effects: if you crash into a wall, some sparkles will be shown
+ added gripnodes alpha: beware: not ready yet, unstable code, will certainly crash your game!
+ added 'clump' dirt effect for tires driving over grass
+ switch-able mouse buttons for left hand people, via RoR.cfg: set 'Switch Mouse Buttons<TAB Character>Yes' in RoR.cfg
+ added camera free mode: press SHIFT+C to toggle free mode, ALT+C to pin the camera at a position (to be able to take over truck control again)
+ added vertical movements keys (in free camera mode usable): page-up and page-down
+ procedural roads system wrapping: ability to reload procedural structures on the fly (not used yet)
+ added user authentication via token to the MP code: http://forum.rigsofrods.com/index.php?action=mpsettings (not active yet)
+ added materialmapping for flares, see: http://wiki.rigsofrods.com/index.php?title=Truck_Description_File#Materialflarebindings
+ added ability to switch between fullscreen and windowed mode, while the game is running: press ALT+RETURN
+ xFire support: now RoR will show up in XFire, ingame working as well as custom game data
+ more airplane control surfaces: http://wiki.rigsofrods.com/index.php?title=Truck_Description_File#Wings
+ added node grabbing line (when grabing a truck with the mouse)
+ new skeleton mode: working with 1px width lines instead of the real beams: better to look through
+ new beam debug, see debugBeams in wiki
+ added skin basics: http://wiki.rigsofrods.com/index.php?title=Skins (currently not fully working, to be fixed)
  + skin selection gui missing, to be done. Currently it just picks a random skin.
+ airplane-input controlled hydros for thrust vectoring (beta), see http://wiki.rigsofrods.com/index.php?title=Truck_Description_File#Hydros)
+ improved network connection error messages: no more just -1 error. Now something will appear that should make more sense.
+ new cache format: see mods.cache (users should not have to deal with it, since its an internal-only improvement)
+ new toolchain to create trucks more easily (released separately)
+ new "Debug Collisions" options: will show the cell collision use on the loaded terrain
+ proper LUA error handling now
+ added support for custom skyboxes (see nhelens or island map)
+ Managed materials: http://wiki.rigsofrods.com/pages/Truck_Description_File#Managedmaterials
+ improved hydros:
 + multiple options possible
 + speed option merged with rest of the options in the engine core
 + better flag usage (own types possible)
+ update for configurator:
 + Enables users to specify custom options that are not used by the configurator
 + added some more settings
 + added simple settings
+ the game itself is now multi-language capable (thanks to all the translators!)
+ minor new flare feature: size = 0 does not emit light
+ truck sections: http://wiki.rigsofrods.com/pages/Proposed_Description_File_Sections#sections
+ free camera improvements
+ improved network name labels
+ Total weight in the 'T' menu, and not only weight of vehicle you're driving? 
+ Added an option to ties: http://wiki.rigsofrods.com/pages/Truck_Description_File#Ties
+ new hidden category for things that should now show up in the loader (i.e. monorail)
+ Disabled the unnecessary wheel test in flexbody: flexbody wheels possible now

--- Bugfixes
+ fixed spawning positions on Grenoble
+ fog fixed under linux
+ fixed flexbodies problem where one flexbody was an instance of each other, not a copy
+ fixed Character rotation with mouse
+ fixed joystick deadzone (now linear in respect to the rest, not just cutting off)
+ fixed flexbodies shadows
+ fixed different buffer configuration for flexbodies (all mesh files works as flexbodies now)
+ fixed lua spawned objects: they are getting icons as well now
+ faster zip file hashing (only reads the first 2048 bytes, packs folder loading now faster)
+ consistend Cache behavior now: it unloads all resources needed to regenerate the Cache after completition.
+ fixed black sky in sandstorm mode: now using skyboxes configurable in the .terrn file: 'sandstormmcubemap <materialname>'
+ new input system version (OIS), should work better now under MACOS
+ fixed configuration newline issues with the configurator
+ fixed bug with waves disabled and buoyance: the truck was riding on non existing waves
+ rewriting of the loading code, much bugs fixed.
+ moved packs folder for linux to '~/.rigsofrods/packs/'
+ fixed truck exploding over edge. Now the collision system will work when beyond the map's borders, no more limit
+ fixed map icon loading: now possible to put the icons in an archive
+ removed crashreport utility: restored windows 2000 and win9x support
+ disabled TIMING for beam engine, major speedup during gameplay
+ fixed update button for multiplayer servers in the configurator: only possible to press it once every 30 seconds or so
+ RoR will now check the limits upon Truck loading and prints out a message and discard all following objects. For example node amount over 1000.
+ fixed MP vehicle loading from cache: now MP vehicle will spawn as they should. Pack Vehicles working for MP again.
+ fixed and simplified the ingame editor a bit (still far from usable)
+ slightly better collision system: reloadable, reusable collision cells
+ updated to OGRE 1.4.9: http://www.ogre3d.org/index.php?option=com_content&task=view&id=460&Itemid=97
+ updated pagedGeometry engine (grass and trees) to verison 1.05 : optimized, less bugs, fixed memory leak: http://www.ogre3d.org/phpBB2addons/viewtopic.php?t=5608
+ fixed person startup position on wrong line in .terrn file
+ no more node-grabbing when using the autopilot GUI
+ added more exception handlers: RoR will not crash on duplicate resources anymore. The second duplicate resource will be discarded. Added Message to Log 
+ fixed bug within cache system and incorrect author information
+ readded controls to change direction of truck mirrors
+ improved MP join message
+ fixed bug on missing help
+ fixed mini map showing wrong place
+ contactless nodes wont drip or generate water spray
+ fixed hard crash on custom icon material
+ lots of cache fixes: now using a number of checks to ensure valid data
+ removed everything related to the old ETM mode
+ and fixed long errors on non existing beam material
+ improved: Large vehicles spawned in truckshop are stuck 
+ reduced bug where character gets stuck on meshes
+ fixed skeleton bug where you had to press it twice to get the skeleton, also fixed non-moving wheels
+ fixed hard water crash due to typo
+ updated nvidia CG to 2.1
+ Fixed the "one time tie" problem: ties now usable multiple times
+ fixed Segmentation fault on switching camera views 
+ flexmeshes do not dry when wet if no water effects enabled
+ detection of sound script name collision
+ wrong aspect ratio for boat steer
+ Fixed cull problem: problem where flexbodies disappear in certain camera angles
+ Solved the long standing collision bug when trucks activated/deactivated: things wont loose collision if deactivated
+ Update of OIS to fix slider problems: no more crashes with joysticks that contain sliders

=== 0.35, 25th of March 2008

--- Content
+ vehicles added, vehicles removed (to save place)
+ added night maps
+ added high contrast font for MP nick names
+ added large 100x100km terrain (Grenoble)
+ added saving of best lap times
+ possible to use different meshes as checkpoint mesh in the lua file now
+ new person as player character (thanks kevinmce!)
+ packs folder splitted into internal packs folder and mods packs folder. Packs from the data/packs folder will always be loaded. Packs from the mod folder will only be loaded if it is required.
+ fixed some truck warnings (due to wrong material files etc)
+ added new monospace font for Truck HUD
+ added 3d cockpit to 3d cockpit an-12 test version
+ complete change from .png to .dds for all possible files. This results in a much lower graphics card memory usage.
+ added monorail in nhelens
+ added monorail-station

--- Features
+ added boat depth meter. It shows the range below the deepest point of the boat to the sea ground.
+ smoother wheels
+ added crash report utility to RoR and the configurator in order to be able to track hard crashes under windows.
+ slightly angled front light (so it will illuminate the ground better)
+ turbojets physiscs
+ heathaze effect for turboprops and turbojets
+ added stabilators for planes (see wiki)
+ added cabin light when switching on front light
+ added rigidifier structure
+ truck loader caching added. The Loader will only load from Cache now. If it detects a new or deleted Truck then it will regenerate the Cache.
+ new character animations (swim, run, ...)
+ removed most of the shaking issues users were experiencing.
+ slightly improved Truck HUD : new health value calculation, added real truck mass, added wheel node count
+ camera improvements
+ auto-pitching truck camera
+ slightly improved exhaust from turboprops
+ horizontal wheels now possible. just create a wheel between two vertical nodes
+ added monorail road type
+ simplified configurator
+ added support for animated mesh files
+ redone light options.
+ added special props (see wiki)
+ added node mass debug
+ improved MP client: now able to receive game commands from the server.
+ mesh rim wheels

--- Bugfixes
+ fixed handling of corrupt zip archives (print error and continue)
+ fixed sha1 usage
+ fixed new skeleton cab fading in several ways
+ fixed boat steering joystick error
+ fixed buffer overflow in Input System
+ fixed buffer overrun in special airplane constellation
+ fixed timeout for connecting clients
+ fixed "resource reloading" warning in RoR.log. Now showing a different text.
+ lots of minor bugfixes which could arise in special situations
+ fixed crash on missing truck material
+ Improved collision detection on large terrains



=== 0.34, 13th of January 2008

--- Content
+ added smallisland terrain
+ updated crane, volvos and trailmashers
+ updated roads in nhelens
+ added gooseneck trailer
+ added information sign (see coldwater in nhelens)
+ automatic landing gear on the an-12
+ added sea bouys to island (thanks to dieselfuelonly)
+ added tank trailer
+ fixed too big texture on monster truck

--- Features
+ added BeamType "Machine": 
  like trucks, but without engine and truck specific commands. They can only use pure hydro commands. Usage: Drawbridge, crane
  (see crane in aspen.terrn)
+ new Console with coloured text. (press ~ and CTRL+~)
+ more airplane keys:
  * none/full flaps CTRL+1/2
  * toggle engines: CTRL+HOME
  * no throttle/full throttle: CTRL+PageUp/PageDown
+ added lua interface version information function
+ ported configurator to wxWidgets 2.8.6
+ using Ogre 1.4.5
+ autopilot for planes
+ Tropospheric model added to the atmosphere
+ Airspeed is now in IAS (Indicated Air Speed), not ground speed.
+ added linux user directory configuration support. (located in ~/.rigsofrods/)
+ Updated turboprop model (multi-element blades), with beta-range, works better.
+ added Editable Terrain Scene Manager (alpha, start RoR with -etm)
+ functionnal ADI (artificial horizon) and altimeter
+ autoland, a vertical localizer antenna model
+ added two more caelum keys (now slow and fast use SHIFT+ [+/-] )
+ working HSI, ILS
+ Input System completely rewritten
+ MacOS Port
+ dual exhausts: http://wiki.rigsofrods.com/index.php?title=Truck_Description_File#Exhausts_.28.3E.3D0.34.29
+ now unlimited beams per command
+ added Flaresmode to configurator and Game: this enables the user to disable parts of the Flares (requsted by user)
  so users can set to "current truck only" in MP games, or disable them completely
+ added No Water Option
+ added VegetationMode Option
+ added 'boat' keyword for .terrn files, so you can easily filter out boats for no-water maps.
+ commands2 section: http://wiki.rigsofrods.com/index.php?title=Truck_Description_File#Commands2_.28.3E.3D0.34.29
+ little flares improvement: added camera angle independency flare ability:
  http://wiki.rigsofrods.com/index.php?title=Truck_Description_File#Flares_.28parts_.3E.3D_0.33.2C_0.34.29
+ added node option to be able to set a load-node's mass explicitly:
  http://wiki.rigsofrods.com/index.php?title=Truck_Description_File#Nodes
+ added dynamic draw on texture to enable basic signs
+ added 'setMeshMaterial <materialName>' to odef file, to be able to exchange a meshs material at runtime.
+ improved skeleton mode: cab fading, props are wireframe now.
+ added screenshot Option
+ added set_skeleton_settings :
  http://wiki.rigsofrods.com/index.php?title=Truck_Description_File#set_skeleton_settings.28.3E.3D0.34.29
+ improved Multiplayer code: 
  * upgraded protocol to RoRNet 2.1
  * banning possible
  * first connecting to server, then choosing the vehicle
  * password protected servers possible
  * no more terrain cheating on non-sandbox server
  * added sandbox servers (servers with 'any' as terrain name)
  * fixed timeouts
  * merge header and content together -> less change to desync (famous -1 error)
+ added different starting positions for all vehicle types in MP
+ added shift to neutral gear in manual mode - key : default: d
+ Beam limit increased from 4000 to 5000 Beams
+ Remote Console features (RCon)
+ invisible Clients will now be shown, including the missing truck file.
+ removed wheel speed limitation
+ smaller GPU memory footprint, since more buildings are now using the master texture
+ increased wing limit from 20 to 40
+ added turboprop's piston sounds
+ new Map (completely rewritten)
 * custom icons now very easily possible, just drop a file named "icon_<objectname>.png" into data/maps
 * toggle Map with TAB - key
 * toggle Map translucency with CTRL+TAB
+ boat support for multiplayer (only when water is enabled in the configurator)
 * no waves yet, will be available later.
+ allowed all characters in MP-Chat. Language selection to be written
+ upon terrain loading, missing .odef files are ignored now, an error is printed to the Logfile
+ improved road laying: hold shhift to increase speed, press CTRL+T to switch between types
+ improved configurator: added event descriptions (thx for corrections @ mcreed)
+ added light and heavy mouse picking
 * light = normale left click
 * heavy = CTRL + left click (old mode)
+ added particle generator to network

--- Bugfixes
+ truck HUD only update every 300ms -> no more flickering
+ added pause to server startup scripts
+ fixed LUA+zip bug, now able to load .terrn.lua out of a .zip
+ fixed custom flare activation bug
+ fixed several non-UTF8  convertible errors
+ set lower range for steering rate --> high velocity trucks can now steer
+ fixed crash upon zero gear diff
+ fixed grass renderqueue problem. Grass is now behind dust.
+ fixed water ambient color bug (now water fades nicely with the daylight color)
+ disable Fog now really disables the fog
+ fixed command description bug
+ fixed loader titles
+ removed horn in Multiplayer
+ turboprop animation now working in Multiplayer (simplified)
+ removed mapsize section (auto detected now)
+ fixed fatal crash with non-available material in global section
+ fixed several loader bugs
+ waterplane positioning on small terrains
+ fixed truck indicator bug (try to blink with the person selected)
+ fixed crash on showing and hiding the skeleton at the same time.
+ mostly reduced Beam spazz, now the beam will rotate instead of vary its size.
+ missing trucks will be ignored upon terrain loading (loading will continue, only error will be printed in the logfile)
+ fixed keyboard bug after RoR close under Linux (OIS was not properly destroyed) (this will still happen, if RoR crashes!)
+ under 3 gears engine will crash RoR, and is not supported. Added warning message.
+ fixed overlapping side texture of too high roads
+ fixed parkingbrake on truck reset (now released upon reset)
+ stripped EXPL from commandlist
+ fixed category description "aircraft" (thx to dfo)
+ fixed chat background (position and black line)
+ no more autopilot for other player's planes
+ bugfixed full axis + reverse
+ fixed junkyard position
+ fixed disconnect of invisble clients

=== 0.33d, 4th November 2007
- no changelog for all prior versions
